%define upstream_name    Math-Random-Secure
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    The underlying PRNG, as an object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(Crypt::Random::Source)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Math::Random::ISAAC)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Test::SharedFork)
BuildArch: noarch

%{?perl_default_filter}

%description
This module is intended to provide a cryptographically-secure replacement
for Perl's built-in 'rand' function. "Crytographically secure", in this
case, means:

* *

  No matter how many numbers you see generated by the random number
  generator, you cannot guess the future numbers, and you cannot guess the
  seed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jan 05 2017 guillomovitch <guillomovitch> 0.80.0-1.mga6
+ Revision: 1080290
- new version 0.08

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-6.mga6
+ Revision: 1029778
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.60.0-5.mga6
+ Revision: 944784
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 745643
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.60.0-3.mga5
+ Revision: 735693
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-2.mga5
+ Revision: 685378
- Mageia 5 Mass Rebuild

* Tue Jul 29 2014 guillomovitch <guillomovitch> 0.60.0-1.mga5
+ Revision: 658025
- imported package perl-Math-Random-Secure

